/// <reference types="node" />
export declare type PathType = 'file' | 'directory';
export declare type PathInfo = {
    path: string;
    type: PathType;
    size?: number;
};
export declare type List = PathInfo[];
export declare type Readable = {
    read(path: string): Promise<Buffer>;
};
export declare type Writable = {
    write(path: string, data: Buffer | string): Promise<void>;
};
export declare type StreamReadable = {
    createReadStream(path: string): Promise<NodeJS.ReadableStream>;
};
export declare type StreamWritable = {
    writeStream(path: string, data: NodeJS.ReadableStream): Promise<void>;
};
export declare type Listable = {
    list(path: string): Promise<List>;
};
export declare type Removable = {
    remove(path: string): Promise<void>;
};
export declare type Driver = Readable & Writable & StreamReadable & StreamWritable & Listable & Removable;
//# sourceMappingURL=types.d.ts.map